<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center_horizontal"
    android:orientation="vertical">

    <com.google.android.material.appbar.AppBarLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@android:color/transparent"
        android:theme="@style/AppTheme.AppBarOverlay">

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="?android:attr/actionBarSize"
            android:background="#ffffff"
            app:contentInsetLeft="0dp"
            app:contentInsetStart="0dp"
            app:popupTheme="@style/AppTheme.PopupOverlay">

            <TextView
                android:id="@+id/txt_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:text="Modify Training"
                android:textAllCaps="true"
                android:textColor="@color/btn_bg_color"
                android:textSize="18sp"
                android:textStyle="bold" />

        </androidx.appcompat.widget.Toolbar>
    </com.google.android.material.appbar.AppBarLayout>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="5dp">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="5dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_gravity="center"
                        android:layout_marginStart="15dp"
                        android:layout_weight="1"
                        android:background="@android:color/transparent"
                        android:gravity="start|center"
                        android:text="Training Reschedule"
                        android:textAllCaps="false"
                        android:textColor="@color/material_bluegrey800"
                        android:textSize="15sp"
                        android:textStyle="bold" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="5dp"
                    android:orientation="horizontal">

                    <RadioButton
                        android:id="@+id/radioReschdule"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_gravity="center"
                        android:layout_marginStart="15dp"
                        android:layout_weight="1"
                        android:background="@android:color/transparent"
                        android:gravity="start|center"
                        android:text="Do you want to reschedule this session"
                        android:textAllCaps="false"
                        android:textColor="@color/material_bluegrey800"
                        android:textSize="15sp" />

                </LinearLayout>

                <RelativeLayout
                    android:id="@+id/rloutReschedule"
                    android:layout_width="match_parent"
                    android:layout_height="44dp"
                    android:layout_marginStart="20dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginEnd="20dp"
                    android:background="@drawable/custom_border">

                    <TextView
                        android:id="@+id/txtReasonReschdule"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@android:color/transparent"
                        android:gravity="center|start"
                        android:hint="Reason for Rescheduling*"
                        android:paddingStart="6dp"
                        android:paddingEnd="6dp"
                        android:textColor="@color/material_bluegrey800"
                        android:textSize="16sp" />

                    <View
                        android:id="@+id/dividerTrainer"
                        android:layout_width="1dp"
                        android:layout_height="match_parent"
                        android:background="#33969696" />

                    <ImageButton
                        android:id="@+id/imgReschedule"
                        android:layout_width="44dp"
                        android:layout_height="44dp"
                        android:layout_alignParentEnd="true"
                        android:background="@android:color/transparent"
                        android:contentDescription="@string/app_name"
                        android:scaleType="fitCenter"
                        android:src="@drawable/spinner_drop" />

                </RelativeLayout>


            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/material_grey200" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_gravity="center"
                        android:layout_marginStart="15dp"
                        android:layout_weight="1"
                        android:background="@android:color/transparent"
                        android:gravity="start|center"
                        android:text="Training Cancel"
                        android:textAllCaps="false"
                        android:textColor="@color/material_bluegrey800"
                        android:textSize="15sp"
                        android:textStyle="bold" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="5dp"
                    android:orientation="horizontal">

                    <RadioButton
                        android:id="@+id/radioCancel"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_gravity="center"
                        android:layout_marginStart="15dp"
                        android:layout_weight="1"
                        android:background="@android:color/transparent"
                        android:gravity="start|center"
                        android:text="Do you want to cancel this session"
                        android:textAllCaps="false"
                        android:textColor="@color/material_bluegrey800"
                        android:textSize="15sp" />

                </LinearLayout>

                <RelativeLayout
                    android:id="@+id/rloutCancl"
                    android:layout_width="match_parent"
                    android:layout_height="44dp"
                    android:layout_marginStart="20dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginEnd="20dp"
                    android:background="@drawable/custom_border">

                    <TextView
                        android:id="@+id/txtReasonCancel"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@android:color/transparent"
                        android:gravity="center|start"
                        android:hint="Reason for Cancel*"
                        android:paddingStart="6dp"
                        android:paddingEnd="6dp"
                        android:textColor="@color/material_bluegrey800"
                        android:textSize="16sp" />

                    <View
                        android:layout_width="1dp"
                        android:layout_height="match_parent"
                        android:background="#33969696" />

                    <ImageButton
                        android:id="@+id/imgCancel"
                        android:layout_width="44dp"
                        android:layout_height="44dp"
                        android:layout_alignParentEnd="true"
                        android:background="@android:color/transparent"
                        android:contentDescription="@string/app_name"
                        android:scaleType="fitCenter"
                        android:src="@drawable/spinner_drop" />

                </RelativeLayout>
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/material_grey200" />

            <EditText
                android:id="@+id/otherReschedule"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:layout_marginTop="4dp"
                android:layout_marginEnd="20dp"
                android:background="@drawable/custom_border"
                android:gravity="start|top"
                android:hint="Enter Reason"
                android:importantForAutofill="no"
                android:inputType="textMultiLine"
                android:maxLines="3"
                android:minLines="3"
                android:padding="3dp" />

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/material_grey200" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginStart="15dp"
                    android:background="@android:color/transparent"
                    android:gravity="start|center"
                    android:text="Training Modify"
                    android:textAllCaps="false"
                    android:textColor="@color/material_bluegrey800"
                    android:textSize="15sp"
                    android:textStyle="bold" />


                <RadioButton
                    android:id="@+id/radioModify"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_marginStart="15dp"
                    android:background="@android:color/transparent"
                    android:gravity="start|center"
                    android:text="Do you want to Modify this session?"
                    android:textAllCaps="false"
                    android:textColor="@color/material_bluegrey800"
                    android:textSize="15sp" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/material_grey200" />

            <Switch
                android:id="@+id/adHocSwitch"
                android:layout_width="wrap_content"
                android:layout_height="40dp"
                android:layout_marginStart="10dp"
                android:text="Adhoc Training      "
                android:textSize="14sp"
                android:textStyle="bold" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="30dp"
                android:layout_marginStart="10dp"
                android:layout_marginTop="5dp"
                android:gravity="center|start"
                android:text="Business Segment"
                android:textColor="#0f2e42"
                android:textSize="14sp"
                android:textStyle="bold" />

            <RadioGroup
                android:id="@+id/radio_group"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_marginStart="5dp"
                android:orientation="horizontal">

                <RadioButton
                    android:id="@+id/rbMotor"
                    android:layout_width="0dip"
                    android:layout_height="match_parent"
                    android:layout_weight="0.6"
                    android:maxLines="1"
                    android:paddingStart="2dp"
                    android:text="Motorcycle"
                    android:textSize="13sp" />

                <RadioButton
                    android:id="@+id/rbScooter"
                    android:layout_width="0dip"
                    android:layout_height="match_parent"
                    android:layout_weight="0.5"
                    android:maxLines="1"
                    android:paddingStart="2dp"
                    android:text="Scooter"
                    android:textSize="13sp" />


                <RadioButton
                    android:id="@+id/rbBoth"
                    android:layout_width="0dip"
                    android:layout_height="match_parent"
                    android:layout_weight=".8"
                    android:maxLines="1"
                    android:paddingStart="2dp"
                    android:text="Scooter &amp; Motorcycle"
                    android:textSize="13sp" />
            </RadioGroup>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="10dp"
                android:text="Training Title"
                android:textColor="#0f2e42"
                android:textSize="14sp"
                android:textStyle="bold" />

            <RelativeLayout
                android:id="@+id/trainingTitleView"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_marginStart="10dp"
                android:layout_marginTop="5dp"
                android:layout_marginEnd="10dp"
                android:background="@drawable/custom_border_new">

                <TextView
                    android:id="@+id/trainingTitle"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_toLeftOf="@id/divider"
                    android:background="@android:color/transparent"
                    android:clickable="false"
                    android:focusable="false"
                    android:focusableInTouchMode="false"
                    android:gravity="center|start"
                    android:hint="Select Training Title"
                    android:paddingStart="6dp"
                    android:paddingEnd="6dp"
                    android:textColor="@color/material_bluegrey800"
                    android:textSize="14sp" />

                <View
                    android:id="@+id/divider"
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:layout_marginTop="5dp"
                    android:layout_marginBottom="5dp"
                    android:layout_toLeftOf="@id/levelSpinner"
                    android:background="#33969696"
                    android:clickable="false"
                    android:focusable="false"
                    android:focusableInTouchMode="false"
                    android:visibility="visible" />

                <ImageButton
                    android:id="@+id/levelSpinner"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_alignParentEnd="true"
                    android:background="@android:color/transparent"
                    android:clickable="false"
                    android:contentDescription="@string/app_name"
                    android:focusable="false"
                    android:focusableInTouchMode="false"
                    android:scaleType="fitCenter"
                    android:src="@drawable/spinner_drop"
                    android:visibility="visible" />
            </RelativeLayout>

            <LinearLayout
                android:id="@+id/otherLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="10dp"
                android:orientation="vertical"
                android:visibility="visible">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Other Title"
                    android:textColor="#0f2e42"
                    android:textSize="14sp"
                    android:textStyle="bold" />

                <EditText
                    android:id="@+id/otherTitle"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginTop="5dp"
                    android:background="@drawable/custom_border_new"
                    android:gravity="start|center"
                    android:hint="Other Title"
                    android:importantForAutofill="no"
                    android:inputType="textCapSentences"
                    android:paddingStart="6dp"
                    android:textSize="14sp" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="10dp"
                android:orientation="horizontal"
                android:visibility="visible">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Training Description"
                    android:textColor="#0f2e42"
                    android:textSize="14sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:text="(Optional)"
                    android:textColor="@color/red"
                    android:textSize="14sp"
                    android:textStyle="bold" />
            </LinearLayout>

            <EditText
                android:id="@+id/description"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="5dp"
                android:layout_marginEnd="10dp"
                android:background="@drawable/custom_border_new"
                android:gravity="start|top"
                android:hint="Description"
                android:importantForAutofill="no"
                android:inputType="textMultiLine"
                android:maxLines="3"
                android:minLines="3"
                android:padding="6dp"
                android:textSize="14sp" />

            <LinearLayout
                android:id="@+id/lloutAddParticipant"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="10dp"
                android:orientation="vertical"
                android:visibility="visible">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:baselineAligned="false"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="vertical"
                        android:paddingTop="5dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Zone"
                            android:textColor="#0f2e42"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                        <Spinner
                            android:id="@+id/zoneSpinner"
                            android:layout_width="match_parent"
                            android:layout_height="40dp"
                            android:background="@drawable/custom_border_new"
                            android:gravity="start" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="3dp"
                        android:layout_weight="1"
                        android:orientation="vertical"
                        android:paddingTop="5dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Regional Manager"
                            android:textColor="#0f2e42"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                        <com.cygnusa.hyperm.util.MultiSelectSpinner
                            android:id="@+id/regionSpinner"
                            android:layout_width="match_parent"
                            android:layout_height="40dp"
                            android:background="@drawable/custom_border_new"
                            android:gravity="start" />

                    </LinearLayout>


                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginTop="5dp"
                    android:background="@color/material_grey300" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:baselineAligned="false"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="vertical"
                        android:paddingTop="5dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Area Manager"
                            android:textColor="#0f2e42"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                        <com.cygnusa.hyperm.util.MultiSelectSpinner
                            android:id="@+id/areaSpinner"
                            android:layout_width="match_parent"
                            android:layout_height="40dp"
                            android:background="@drawable/custom_border_new"
                            android:gravity="start" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="3dp"
                        android:layout_weight="1"
                        android:orientation="vertical"
                        android:paddingTop="5dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Dealer"
                            android:textColor="#0f2e42"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                        <com.cygnusa.hyperm.util.MultiSelectSpinner
                            android:id="@+id/dealerSpinner"
                            android:layout_width="match_parent"
                            android:layout_height="40dp"
                            android:background="@drawable/custom_border_new"
                            android:gravity="start" />

                    </LinearLayout>

                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginTop="5dp"
                    android:background="@color/material_grey300" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:baselineAligned="false"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="vertical"
                        android:paddingTop="5dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="DSE"
                            android:textColor="#0f2e42"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                        <com.cygnusa.hyperm.util.MultiSelectSpinner
                            android:id="@+id/dseSpinner"
                            android:layout_width="match_parent"
                            android:layout_height="40dp"
                            android:background="@drawable/custom_border_new"
                            android:gravity="start" />

                    </LinearLayout>

                </LinearLayout>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginStart="10dp"
                android:layout_marginEnd="10dp"
                android:background="@color/material_grey300" />

            <com.cygnusa.hyperm.util.ExpandableHeightGridView
                android:id="@+id/participantList"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="10dp"
                android:isScrollContainer="false"
                android:numColumns="2"
                android:stretchMode="columnWidth" />

            <LinearLayout
                android:id="@+id/popupView"
                android:layout_width="match_parent"
                android:layout_height="35dp"
                android:layout_marginTop="10dp"
                android:background="@color/material_grey200"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="35dp"
                    android:layout_height="match_parent"
                    android:layout_marginStart="10dp"
                    android:background="@android:color/transparent"
                    android:clickable="false"
                    android:contentDescription="@string/app_name"
                    android:focusable="false"
                    android:focusableInTouchMode="false"
                    android:padding="2dp"
                    android:scaleType="fitCenter"
                    android:src="@mipmap/faq"
                    app:tint="@color/red" />

                <TextView
                    android:id="@+id/bifurcationView"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="5dp"
                    android:clickable="false"
                    android:focusable="false"
                    android:focusableInTouchMode="false"
                    android:gravity="center|start"
                    android:text="Region, Area, Dealer &amp; DSE wise bifurcation view"
                    android:textColor="@color/red"
                    android:textSize="13sp"
                    android:textStyle="bold" />
            </LinearLayout>

            <TextView
                android:id="@+id/noOfDays"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="end"
                android:layout_marginEnd="15dp"
                android:gravity="end"
                android:text="No of training days : "
                android:textColor="#0f2e42"
                android:textSize="13sp"
                android:textStyle="bold" />

            <LinearLayout
                android:id="@+id/lloutStartDate"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="10dp"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    android:paddingTop="5dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Start Date"
                        android:textColor="#0f2e42"
                        android:textSize="14sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/startDate"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:background="@android:color/transparent"
                        android:drawableEnd="@mipmap/date_pick"
                        android:gravity="center|start"
                        android:hint="DD-MM-YYYY"
                        android:textColor="@color/material_black"
                        android:textSize="14sp" />

                </LinearLayout>

                <View
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:background="@color/material_grey300" />

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    android:paddingTop="5dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:text="End Date"
                        android:textColor="#0f2e42"
                        android:textSize="13sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/endDate"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:background="@android:color/transparent"
                        android:drawableEnd="@mipmap/date_pick"
                        android:gravity="center|start"
                        android:hint="DD-MM-YYYY"
                        android:paddingStart="15dp"
                        android:textColor="@color/material_black"
                        android:textSize="14sp" />

                </LinearLayout>


            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginStart="10dp"
                android:layout_marginEnd="10dp"
                android:background="@color/material_grey300" />


            <LinearLayout
                android:id="@+id/timeView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="5dp"
                android:layout_marginEnd="10dp"
                android:baselineAligned="false"
                android:orientation="vertical" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="end"
                android:gravity="end"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="end"
                    android:layout_marginEnd="15dp"
                    android:gravity="end"
                    android:text="Total Training Hours : "
                    android:textColor="#0f2e42"
                    android:textSize="13sp"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/totalTime"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="end"
                    android:layout_marginEnd="15dp"
                    android:gravity="end"
                    android:textColor="#0f2e42"
                    android:textSize="13sp"
                    android:textStyle="bold" />
            </LinearLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="5dp"
                android:layout_marginEnd="10dp"
                android:text="Venue Location"
                android:textColor="#0f2e42"
                android:textSize="14sp"
                android:textStyle="bold" />

            <RelativeLayout
                android:id="@+id/venueLayout"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_marginStart="10dp"
                android:layout_marginTop="5dp"
                android:layout_marginEnd="10dp"
                android:background="@drawable/custom_border_new">

                <TextView
                    android:id="@+id/venueView"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginEnd="1dp"
                    android:layout_toLeftOf="@id/venueSpinner"
                    android:background="@android:color/transparent"
                    android:clickable="false"
                    android:focusable="false"
                    android:focusableInTouchMode="false"
                    android:gravity="center|start"
                    android:hint="Select Type"
                    android:paddingStart="6dp"
                    android:paddingEnd="6dp"
                    android:textColor="@color/material_bluegrey800"
                    android:textSize="14sp" />

                <View
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:layout_marginTop="5dp"
                    android:layout_marginBottom="5dp"
                    android:layout_toLeftOf="@id/venueSpinner"
                    android:background="#33969696"
                    android:clickable="false"
                    android:focusable="false"
                    android:focusableInTouchMode="false" />

                <ImageButton
                    android:id="@+id/venueSpinner"
                    android:layout_width="40dp"
                    android:layout_height="match_parent"
                    android:layout_alignParentEnd="true"
                    android:layout_centerInParent="true"
                    android:background="@android:color/transparent"
                    android:clickable="false"
                    android:contentDescription="@string/app_name"
                    android:focusable="false"
                    android:focusableInTouchMode="false"
                    android:scaleType="fitCenter"
                    android:src="@drawable/spinner_drop" />

            </RelativeLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="5dp"
                android:layout_marginEnd="10dp"
                android:orientation="vertical"
                android:visibility="visible">

                <LinearLayout
                    android:id="@+id/venueDealerLayout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="5dp"
                    android:baselineAligned="false"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="vertical"
                        android:paddingTop="5dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Area Manager"
                            android:textColor="#0f2e42"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                        <Spinner
                            android:id="@+id/venueAreaSpinner"
                            android:layout_width="match_parent"
                            android:layout_height="40dp"
                            android:background="@drawable/custom_border_new"
                            android:gravity="start" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/lloutDealer"
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="3dp"
                        android:layout_weight="1"
                        android:orientation="vertical"
                        android:paddingTop="5dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Dealer"
                            android:textColor="#0f2e42"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                        <Spinner
                            android:id="@+id/venueDealerSpinner"
                            android:layout_width="match_parent"
                            android:layout_height="40dp"
                            android:background="@drawable/custom_border_new"
                            android:gravity="start" />

                    </LinearLayout>
                </LinearLayout>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Address"
                    android:textColor="#0f2e42"
                    android:textSize="14sp"
                    android:textStyle="bold" />

                <EditText
                    android:id="@+id/venueAddress"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:background="@drawable/custom_border_new"
                    android:gravity="start|top"
                    android:hint="Enter Address"
                    android:importantForAutofill="no"
                    android:inputType="textMultiLine"
                    android:maxLines="3"
                    android:minLines="3"
                    android:padding="6dp"
                    android:textColor="@color/material_bluegrey800"
                    android:textSize="14sp" />

            </LinearLayout>


            <LinearLayout
                android:id="@id/lloutPreAssessment"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="5dp"
                android:layout_marginEnd="10dp"
                android:orientation="vertical">

                <CheckBox
                    android:id="@+id/cbPreAssessment"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="Pre Assessment" />

                <LinearLayout
                    android:id="@+id/preAssessmentLayout"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginTop="5dp"
                    android:orientation="horizontal"
                    android:visibility="visible">

                    <EditText
                        android:id="@+id/preAssesmentName"
                        android:layout_width="0dip"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:autofillHints=""
                        android:background="@android:color/transparent"
                        android:gravity="center|start"
                        android:hint="Assessment Name"
                        android:inputType="textCapSentences"
                        android:textColor="@color/material_bluegrey800"
                        android:textSize="13sp" />

                    <View
                        android:layout_width="1dp"
                        android:layout_height="match_parent"
                        android:background="@color/material_grey300"
                        tools:ignore="TooManyViews" />

                    <EditText
                        android:id="@+id/preAssessmentCount"
                        android:layout_width="100dp"
                        android:layout_height="match_parent"
                        android:autofillHints=""
                        android:background="@android:color/transparent"
                        android:gravity="center"
                        android:hint="Question Count"
                        android:inputType="number"
                        android:maxLength="2"
                        android:textColor="@color/material_bluegrey800"
                        android:textSize="13sp" />

                    <View
                        android:layout_width="1dp"
                        android:layout_height="match_parent"
                        android:background="@color/material_grey300" />

                    <EditText
                        android:id="@+id/preAssessmentDuration"
                        android:layout_width="70dp"
                        android:layout_height="match_parent"
                        android:layout_gravity="center"
                        android:autofillHints=""
                        android:background="@android:color/transparent"
                        android:gravity="center"
                        android:hint="Duration"
                        android:inputType="number"
                        android:maxLength="2"
                        android:textColor="@color/material_bluegrey800"
                        android:textSize="13sp" />

                    <View
                        android:layout_width="1dp"
                        android:layout_height="match_parent"
                        android:layout_marginTop="10dp"
                        android:layout_marginBottom="10dp"
                        android:background="@color/material_grey700"
                        tools:ignore="TooManyViews" />

                    <TextView
                        android:layout_width="60dp"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:text="Minutes"
                        android:textColor="#0f2e42"
                        android:textSize="13sp"
                        android:textStyle="bold"
                        tools:ignore="TooManyViews" />

                </LinearLayout>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginStart="10dp"
                android:layout_marginTop="5dp"
                android:layout_marginEnd="10dp"
                android:background="@color/material_grey300" />

            <LinearLayout
                android:id="@id/lloutPostAssessment"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="5dp"
                android:layout_marginEnd="10dp"
                android:orientation="vertical">

                <CheckBox
                    android:id="@+id/cbPostAssessment"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="Post Assessment" />

                <LinearLayout
                    android:id="@+id/postAssesmentLayout"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginTop="5dp"
                    android:orientation="horizontal"
                    android:visibility="gone">

                    <EditText
                        android:id="@+id/postAssesmentName"
                        android:layout_width="0dip"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:autofillHints=""
                        android:background="@android:color/transparent"
                        android:gravity="center|start"
                        android:hint="Assessment Name"
                        android:inputType="textCapSentences"
                        android:textColor="@color/material_bluegrey800"
                        android:textSize="13sp" />

                    <View
                        android:layout_width="1dp"
                        android:layout_height="match_parent"
                        android:background="@color/material_grey300" />

                    <EditText
                        android:id="@+id/postAssessmentCount"
                        android:layout_width="100dp"
                        android:layout_height="match_parent"
                        android:autofillHints=""
                        android:background="@android:color/transparent"
                        android:gravity="center"
                        android:hint="Question Count"
                        android:inputType="number"
                        android:maxLength="2"
                        android:textColor="@color/material_bluegrey800"
                        android:textSize="13sp" />

                    <View
                        android:layout_width="1dp"
                        android:layout_height="match_parent"
                        android:background="@color/material_grey300" />

                    <EditText
                        android:id="@+id/postAssessmentDuration"
                        android:layout_width="70dp"
                        android:layout_height="match_parent"
                        android:layout_gravity="center"
                        android:autofillHints=""
                        android:background="@android:color/transparent"
                        android:gravity="center"
                        android:hint="Duration"
                        android:inputType="number"
                        android:maxLength="2"
                        android:textColor="@color/material_bluegrey800"
                        android:textSize="13sp" />

                    <View
                        android:layout_width="1dp"
                        android:layout_height="match_parent"
                        android:layout_marginTop="10dp"
                        android:layout_marginBottom="10dp"
                        android:background="@color/material_grey700" />

                    <TextView
                        android:layout_width="60dp"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:text="Minutes"
                        android:textColor="#0f2e42"
                        android:textSize="13sp"
                        android:textStyle="bold"
                        tools:ignore="TooManyViews" />

                </LinearLayout>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginStart="10dp"
                android:layout_marginTop="5dp"
                android:layout_marginEnd="10dp"
                android:background="@color/material_grey300" />


            <CheckBox
                android:id="@+id/cbFeedback"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_marginStart="10dp"
                android:layout_marginTop="5dp"
                android:layout_marginEnd="10dp"
                android:text="@string/training_feedback" />

            <Button
                android:id="@+id/btnAddParticipant"
                android:layout_width="250dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_margin="3dp"
                android:background="@color/material_bluegrey800"
                android:text="Add More Participants"
                android:textColor="@color/white"
                android:visibility="gone" />

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginStart="10dp"
                android:layout_marginTop="5dp"
                android:layout_marginEnd="10dp"
                android:background="@color/material_grey300" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_margin="25dp"
                android:gravity="center"
                android:text="@string/classRoomInstruction"
                android:textColor="@color/material_grey700"
                android:textSize="13sp" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/actionCancel"
                    android:layout_width="120dp"
                    android:layout_height="35dp"
                    android:layout_marginStart="50dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginEnd="30dp"
                    android:layout_marginBottom="20dp"
                    android:background="@drawable/btn_login_shadow"
                    android:text="@string/cancel"
                    android:textColor="@color/white" />

                <Button
                    android:id="@+id/actionSubmit"
                    android:layout_width="120dp"
                    android:layout_height="35dp"
                    android:layout_marginStart="20dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginEnd="50dp"
                    android:layout_marginBottom="20dp"
                    android:background="@drawable/btn_login_shadow"
                    android:text="Update"
                    android:textColor="@color/white" />

            </LinearLayout>

        </LinearLayout>

    </ScrollView>

</LinearLayout>
